Description

Some users suggest to make available the ctools documentation as a pdf. This seems straightforward to do using sphynx

https://docs.typo3.org/typo3cms/extensions/sphinx/AdvancedUsersManual/RenderingPdf/Index.html

The pdf could be added to the downloadable material on the website and included in the conda releases.

History

#1 - 07/15/2020 08:16 PM - Knödlseder Jürgen

The link gives "Page not found (404)". Could you check how to generate a pdf file?

#2 - 07/15/2020 08:29 PM - Tibaldo Luigi

On the official sphinx documentation they say all you need to do is running

make latexpdf

https://www.sphinx-doc.org/en/1.5/tutorial.html#running-the-build

#3 - 07/15/2020 09:24 PM - Knödlseder Jürgen

- Target version set to 2.0.0

Thanks for the link. I think it's a bit more complicated, see https://www.sphinx-doc.org/en/1.5/builders.html#builders. Sphinx has only a latex builder,

but it requires some setup of the system. A post-processing is then needed to generate a pdf file.

Let's work on that for the release 1.8.0, I try to fix the urgent things for 1.7.0.

#4 - 07/15/2020 09:33 PM - Tibaldo Luigi

Sounds good, I can look into it myself next fall

#5 - 06/02/2022 07:57 AM - Knödlseder Jürgen

- Target version deleted (2.0.0)
